> ## Documentation Index
> Fetch the complete documentation index at: https://docs.posy.page/llms.txt
> Use this file to discover all available pages before exploring further.

# Change the theme

> Change theme settings (same fields as the MCP set_theme tool); send only what should change

Looks (style): cozy, washi, lofi, painted, cobalt, night. Returns the whole theme.



## OpenAPI

````yaml /api-reference/openapi.json patch /api/v1/page/theme
openapi: 3.1.0
info:
  title: Posy API
  version: '1'
  description: >-
    Make and edit a Posy link-in-bio page. Everything edits the draft until you
    call publish.
servers:
  - url: https://posy.page
    description: posy.page (or your own server)
security: []
paths:
  /api/v1/page/theme:
    patch:
      summary: Change the theme
      description: >-
        Change theme settings (same fields as the MCP set_theme tool); send only
        what should change


        Looks (style): cozy, washi, lofi, painted, cobalt, night. Returns the
        whole theme.
      operationId: change-the-theme
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                style:
                  type: string
                  enum:
                    - cozy
                    - washi
                    - lofi
                    - painted
                    - cobalt
                    - night
                preset:
                  type: string
                accent:
                  type: string
                  pattern: ^#[0-9a-fA-F]{6}$
                font:
                  type: string
                radius:
                  type: string
                layout:
                  type: string
                  enum:
                    - bento
                    - list
                    - canvas
                align:
                  type: string
                tileStyle:
                  type: string
                effect:
                  type: string
                avatar:
                  type: string
                photos:
                  type: string
                  enum:
                    - natural
                    - mono
                    - dither
                    - ascii
                motion:
                  type: boolean
                ambient:
                  type: boolean
                background:
                  type: object
                  properties:
                    style:
                      type: string
                    image:
                      type: string
                    dim:
                      type: number
                    blur:
                      type: number
                    grain:
                      type: boolean
                    color:
                      type: string
      responses:
        '200':
          description: '{ theme }'
        '400':
          description: Invalid input; the message says why
      security:
        - bearer: []
        - oauth:
            - page:write
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: A "posy_…" API key from the dashboard
    oauth:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://posy.page/api/auth/oauth2/authorize
          tokenUrl: https://posy.page/api/auth/oauth2/token
          scopes:
            page:write: Read and edit your page

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.